# IAX2IeBinary Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeBinary:

[legend]
Collaboration diagram for IAX2IeBinary:
[legend]

## Public Member Functions

construction/destruction
| IAX2IeBinary (BYTE length, BYTE *srcData)
| IAX2IeBinary (PBYTEArray newValue)
| IAX2IeBinary ()
Worker methods
virtual BYTE | GetLengthOfData () const
virtual void | PrintOn (ostream &str) const
void | SetData (const PBYTEArray &newData)
void | GetData (PBYTEArray &answer)
void | CopyData (IAX2IeBinary *src)

## Protected Member Functions

virtual void | WriteBinary (BYTE *data)

## Protected Attributes

PBYTEArray | dataValue

## Detailed Description

An Information Element that contains numbers which are in the range of 0..255 It is valid to have zero elements in this field.

## Constructor & Destructor Documentation

IAX2IeBinary::IAX2IeBinary | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  |

Constructor - read data from source array.

If the length is zero, the value of srcData is ignored, and an empty array is created.

IAX2IeBinary::IAX2IeBinary | ( | PBYTEArray | newValue | ) | `[inline]`

Construct to an initialised value

IAX2IeBinary::IAX2IeBinary | ( |  | ) | `[inline]`

Constructor to an invalid and empty result

## Member Function Documentation

void IAX2IeBinary::CopyData | ( | IAX2IeBinary * | src | ) |

Copy the data from the supplied IAX2IeBinary and put it into this instance

void IAX2IeBinary::GetData | ( | PBYTEArray & | answer | ) |

Take the internal data and copy it to the parameter

virtual BYTE IAX2IeBinary::GetLengthOfData | ( |  | ) | const`[inline, virtual]`

return the number of bytes to hold this data element

Reimplemented from IAX2Ie.

virtual void IAX2IeBinary::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2Ie.

Reimplemented in IAX2IeCallToken.

void IAX2IeBinary::SetData | ( | const PBYTEArray & | newData | ) |

Take the supplied data and copy contents into this IE

virtual void IAX2IeBinary::WriteBinary | ( | BYTE * | data | ) | `[protected, virtual]`

Take the data value for this particular IAX2Ie and copy into the memory region.

Reimplemented from IAX2Ie.

## Field Documentation

PBYTEArray IAX2IeBinary::dataValue `[protected]`

The actual data stored in a IAX2IeBinary class

The documentation for this class was generated from the following file:

- ies.h